# dialog_setup.cpp File Reference

Template File. More...

`#include "dialog_setup.h"`
`#include "app.h"`
`#include <gtkmm/scale.h>`
`#include <gtkmm/table.h>`
`#include <gtkmm/frame.h>`
`#include <gtkmm/notebook.h>`
`#include "widget_enum.h"`
`#include "autorecover.h"`
`#include <ETL/stringf>`
`#include <ETL/misc>`
`#include "general.h"`

## Defines

#define | ADD_TIMESTAMP(desc, x)

## Functions

static void | attach_label (Gtk::Table *table, String str, guint col, guint xpadding, guint ypadding)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define ADD_TIMESTAMP | ( | desc,
|  | x |  | ) |

Value:

    timestamp_menu->items().push_back(                          \
            Gtk::Menu_Helpers::MenuElem(                            \
                desc,                                               \
                sigc::bind(                                         \
                    sigc::mem_fun(                                  \
                        *this,                                      \
                        &studio::Dialog_Setup::set_time_format),    \
                    x)));

Referenced by studio::Dialog_Setup::Dialog_Setup().

## Function Documentation

static void attach_label | ( | Gtk::Table * | table,
|  | String | str,
|  | guint | col,
|  | guint | xpadding,
|  | guint | ypadding |
| ) |  |  | `[static]`

Referenced by studio::Dialog_Setup::Dialog_Setup().